Module java.desktop
Package javax.swing

## Class ToolTipManager.outsideTimerAction

- java.lang.Object
- - javax.swing.ToolTipManager.outsideTimerAction

All Implemented Interfaces:
  `ActionListener`, `EventListener`

Enclosing class:
  ToolTipManager

    protected class ToolTipManager.outsideTimerAction
    extends Object
    implements ActionListener

Outside timer action.

### Constructor Summary

Constructors
`protected` `outsideTimerAction()`

### Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.awt.event.ActionListener

`actionPerformed`

### Constructor Detail

#### outsideTimerAction

    protected outsideTimerAction()